%define upstream_name Event-RPC
%define upstream_version 1.08

Name:           perl-%{upstream_name}
Summary:        Event-RPC - Event based transparent Client/Server RPC framework
Version:        %perl_convert_version %upstream_version
Release:        %mkrel 2
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://search.cpan.org/CPAN/authors/id/J/JR/JRED/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Event)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Glib)
BuildRequires:  perl(IO::Socket::INET)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(Net::SSLeay)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::More)
BuildRequires:  perl-devel
BuildRequires:  perl-Event
BuildRequires:  perl-IO-Socket-SSL
BuildConflicts: perl-Net_SSLeay < 1.30

%description
Event::RPC consists of a server and a client library. The server
exports a list of classes and methods, which are allowed to be called
over the network. More specific it acts as a proxy for objects created
on the server side (on demand of the connected clients) which handles
client side methods calls with transport of method arguments and
return values.

The object proxy handles refcounting and destruction of objects
created by clients properly. Objects as method parameters and return
values are handled as well (although with some limitations, see
below).

For the client the whole thing is totally transparent - once connected
to the server it doesn't know whether it calls methods on local or
remote objects.

Also the methods on the server newer know whether they are called
locally or from a connected client. Your application logic is not
affected by Event::RPC at all, at least if it has a rudimentary clean
OO design.

For details on implementing servers and clients please refer to the
man pages of Event::RPC::Server and Event::RPC::Client.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/Event/RPC*
%{_mandir}/man3/Event::RPC*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-2.mga6
+ Revision: 1026992
- Rebuild for perl 5.22.2

  + daviddavid <daviddavid>
    - restore it

  + sander85 <sander85>
    - Leaf package that would pull in more perl packages if deps solved

* Mon Sep 28 2015 sander85 <sander85> 1.80.0-1.mga6
+ Revision: 884572
- update to 1.08

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 749789
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-2.mga5
+ Revision: 684657
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.50.0-1.mga5
+ Revision: 588398
- update to 1.05

* Mon Oct 21 2013 umeabot <umeabot> 1.30.0-2.mga4
+ Revision: 537139
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.30.0-1.mga4
+ Revision: 486376
- update to 1.03

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-2.mga3
+ Revision: 366960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 31973
- mageia rebuild
- imported package perl-Event-RPC


* Tue Jul 28 2009 Götz Waschk <waschk@mandriva.org> 1.10.0-1mdv2010.0
+ Revision: 401501
- use perl version macro

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 1.01-1mdv2009.1
+ Revision: 297529
- update to new version 1.01

* Sun Jun 22 2008 Götz Waschk <waschk@mandriva.org> 1.00-1mdv2009.0
+ Revision: 227956
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 0.90-1mdv2007.0
- Rebuild

* Mon Apr 24 2006 Götz Waschk <waschk@mandriva.org> 0.90-1mdk
- New release 0.90

* Tue Mar 28 2006 Götz Waschk <waschk@mandriva.org> 0.89-1mdk
- New release 0.89

* Fri Jan 27 2006 Götz Waschk <waschk@mandriva.org> 0.88-2mdk
- reenable SSL

* Mon Dec 26 2005 Götz Waschk <waschk@mandriva.org> 0.88-1mdk
- New release 0.88

* Mon Dec 19 2005 Götz Waschk <waschk@mandriva.org> 0.87-1mdk
- New release 0.87

* Tue Aug 30 2005 Götz Waschk <waschk@mandriva.org> 0.85-1mdk
- New release 0.85

* Wed Aug 03 2005 Götz Waschk <waschk@mandriva.org> 0.84-1mdk
- initial package

